h1.title-text {
	font-size: 40px;
	text-align: center;
}


div.coupon-list {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	justify-items: center;
	row-gap: 22px;
	padding: 22px;
}


div.create-coupon-btn {
	position: absolute;
	right: 22px;
	bottom: 22px;
}


div.coupon-name {
	font-size: 18px;
}


div.coupon-info {
	border: 1px solid rgba(222, 222, 222, 1);
	padding: 11px;
	cursor: pointer;
}


div.input-coupon-info-area {
	width: fit-content;
	margin-inline: auto;
}


div.input-coupon-info {
	margin-block: 22px;
	display: flex;
	align-items: center;
}


div.input-coupon-info > * {
	margin-inline: 11px;
}


div.input-coupon-info > .input-coupon-data {
	flex-grow: 1;
}


.input-coupon-data-use {
	text-align: center;
}
